<?php
/**
 * header.php
 * @package WordPress
 * @subpackage Mini
 * @since Mini 1.0
 * 
 */
 ?>

 
<!DOCTYPE html>
<html  <?php language_attributes(); ?>  lang="en">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	  
  	<?php wp_head(); ?> 
</head>


<body <?php body_class(); ?>>
<?php wp_body_open(); ?>

  <div id="loader">
	<div class="spinner">
	  <div class="double-bounce1"></div>
	  <div class="double-bounce2"></div>
	</div>
	<h3 class="title-load"><?php esc_html_e('Loading','minione'); ?></h3>
  </div>


    <header id="headerBar" class="headerTop">

        <div class="container-fluid">
          <div class="col-md-4 col-sm-1 col-xs-4 headerLeft">
			<?php if (ot_get_option( 'minione_logo' )) { ?>
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('name'); ?>">
					<img src="<?php echo esc_url(ot_get_option( 'minione_logo' )); ?>" alt="<?php bloginfo('name'); ?>">
				</a>
			<?php } elseif (ot_get_option( 'minione_logotext' )) { ?>
			    <a class="logotext" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('name'); ?>">
					<?php echo esc_html(ot_get_option( 'minione_logotext' )); ?>
			    </a>
			<?php } else { ?>
			    <a class="logotext" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('name'); ?>">
					<?php esc_html_e('minione','minione'); ?>
			    </a>
			<?php } ?>
          </div>

          <!--Header right side with left-aligned menu-->

          <div class="col-md-8 col-sm-11 col-xs-8 headerRight">
            <div class="header-right">

              <!--Navigation-->
              <nav class="navigation">

                <div class="navbar-header">
                  <span class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                    <i class="fa fa-bars"></i>
                  </span>
                </div>

                <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
					<?php 
					   wp_nav_menu(array(
					   'theme_location' => 'main-menu',
					   'container' => '',
					   'fallback_cb' => 'show_top_menu',
					   'menu_id' => '',
					   'menu_class' => 'navbar navbar-right',
					   'echo' => true,
					   'walker' => new minione_description_walker(),
					   'depth' => 0 
						)); 
					 ?>	
                </div>

              </nav>
              <!--END Navigation-->

            </div>
          </div>
           <!--END Header right side-->
        </div>
        <!--END container-->
      </header>
      <!--END Header bar-->
