<?php
/*-----------------------------------------------------------------------------------*/
/*	Shortcode Filter
/*-----------------------------------------------------------------------------------*/

vc_remove_element( "vc_gmaps");
vc_remove_element( "vc_wp_search");
vc_remove_element(  "vc_wp_meta" );
vc_remove_element(  "vc_wp_recentcomments" );
vc_remove_element(  "vc_wp_calendar" );
vc_remove_element(  "vc_wp_pages" );
vc_remove_element(  "vc_wp_tagcloud" );
vc_remove_element(  "vc_wp_custommenu" );
vc_remove_element(  "vc_wp_text" );
vc_remove_element(  "vc_wp_posts" );
vc_remove_element(  "vc_wp_categories" );
vc_remove_element(  "vc_wp_archives" );
vc_remove_element(  "vc_wp_rss" );
vc_remove_element(  "vc_progress_bar" );
vc_remove_element(  "vc_message" );
vc_set_as_theme( $disable_updater = false ); 
vc_is_updater_disabled();

function mini_vc_remove_woocommerce() {
        vc_remove_element( 'woocommerce_cart' );
        vc_remove_element( 'woocommerce_checkout' );
        vc_remove_element( 'woocommerce_order_tracking' );
        vc_remove_element( 'woocommerce_my_account' );
        vc_remove_element( 'recent_products' );
        vc_remove_element( 'featured_products' );
        vc_remove_element( 'product' );
        vc_remove_element( 'products' );
        vc_remove_element( 'add_to_cart' );
        vc_remove_element( 'add_to_cart_url' );
        vc_remove_element( 'product_page' );
        vc_remove_element( 'product_category' );
        vc_remove_element( 'product_categories' );
        vc_remove_element( 'sale_products' );
        vc_remove_element( 'best_selling_products' );
        vc_remove_element( 'top_rated_products' );
        vc_remove_element( 'product_attribute' );
        vc_remove_element( 'related_products' );
}
// Hook for admin editor.
add_action( 'vc_build_admin_page', 'mini_vc_remove_woocommerce', 11 );
// Hook for frontend editor.
add_action( 'vc_load_shortcode', 'mini_vc_remove_woocommerce', 11 );


/*-----------------------------------------------------------------------------------*/
/*	Mini Section Title
/*-----------------------------------------------------------------------------------*/

add_action( 'vc_before_init', 'mini_section_title_integrateWithVC' );
function mini_section_title_integrateWithVC() {
   vc_map( array(
      "name"     => esc_html__( "Mini Section Title", 'minione' ), 
      "base"     => "section_title", 
	  "category" => "Mini Shortcodes",
      "params"   => array( 
				  
			array(
				'type' 		  => 'textfield',
				'heading' 	  => esc_html__( 'Section Title', 'minione' ),
				'param_name'  => 'title',
				'description' => esc_html__( 'Write your section title.', 'minione' ),
				'admin_label' => true ,
			),
			array(
				'type' 		  => 'textfield',
				'heading' 	  => esc_html__( 'Section Subtitle', 'minione' ),
				'param_name'  => 'subtitle',
				'description' => esc_html__( 'Write your section subtitle.', 'minione' ),
			),
			array(
				'type' => 'css_editor',
				'heading' => esc_html__( 'Css', 'minione' ),
				'param_name' => 'css',
				'group' => esc_html__( 'Design options', 'minione' ),
			),
      ),
   ) );
}

/*-----------------------------------------------------------------------------------*/
/*	Mini Intro Text
/*-----------------------------------------------------------------------------------*/

add_action( 'vc_before_init', 'mini_intro_text_integrateWithVC' );
function mini_intro_text_integrateWithVC() {
   vc_map( array(
      "name"     => esc_html__( "Mini Intro Text", 'minione' ), 
      "base"     => "intro_text", 
	  "category" => "Mini Shortcodes",
      "params"   => array( 
				  
			array(
				'type' 		  => 'textfield',
				'heading' 	  => esc_html__( 'Intro Title', 'minione' ),
				'param_name'  => 'title',
				'description' => esc_html__( 'Write your intro title.', 'minione' ),
				'admin_label' => true ,
			),
			array(
				'type' 		  => 'textfield',
				'heading' 	  => esc_html__( 'Section Subtitle', 'minione' ),
				'param_name'  => 'subtitle',
				'description' => esc_html__( 'Write your section subtitle.', 'minione' ),
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'minione' ),
				'value' => array(
					esc_html__( 'Font Awesome', 'minione' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'minione' ) => 'openiconic',
					esc_html__( 'Typicons', 'minione' ) => 'typicons',
					esc_html__( 'Entypo', 'minione' ) => 'entypo',
					esc_html__( 'Linecons', 'minione' ) => 'linecons',
					esc_html__( 'Mono Social', 'minione' ) => 'monosocial',
					esc_html__( 'Elegant', 'minione' ) => 'elegant',
					esc_html__( 'Linea', 'minione' ) => 'linea',
				),
				'param_name' => 'type',
				'description' => esc_html__( 'Select icon library.', 'minione' ),
			),

			
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'minione' ),
				'param_name' => 'icon_fontawesome',
				'value' => 'fa fa-info-circle',
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'iconsPerPage' => 200, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'fontawesome',
				),
				'description' => esc_html__( 'Select icon from library.', 'minione' ),		
			),
			

			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'minione' ),
				'param_name' => 'icon_openiconic',
				'value' => 'vc-oi vc-oi-dial', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'openiconic',
					'iconsPerPage' => 200, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'openiconic',
				),
				'description' => esc_html__( 'Select icon from library.', 'minione' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'minione' ),
				'param_name' => 'icon_typicons',
				'value' => 'typcn typcn-adjust-brightness', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'typicons',
					'iconsPerPage' => 200, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'typicons',
				),
				'description' => esc_html__( 'Select icon from library.', 'minione' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'minione' ),
				'param_name' => 'icon_entypo',
				'value' => 'entypo-icon entypo-icon-note', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'entypo',
					'iconsPerPage' => 200, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'entypo',
				),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'minione' ),
				'param_name' => 'icon_linecons',
				'value' => 'vc_li vc_li-heart', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'linecons',
					'iconsPerPage' => 200, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'linecons',
				),
				'description' => esc_html__( 'Select icon from library.', 'minione' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'minione' ),
				'param_name' => 'icon_monosocial',
				'value' => 'vc-mono vc-mono-fivehundredpx', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'monosocial',
					'iconsPerPage' => 200, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'monosocial',
				),
				'description' => esc_html__( 'Select icon from library.', 'minione' ),
			),
			
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'minione' ),
				'param_name' => 'icon_elegant',
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'elegant',
					'iconsPerPage' => 200, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'elegant',
				),
				'description' => esc_html__( 'Select icon from library.', 'minione' ),
			),

			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'minione' ),
				'param_name' => 'icon_linea',
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'linea',
					'iconsPerPage' => 200, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'linea',
				),
				'description' => esc_html__( 'Select icon from library.', 'minione' ),
			),
			array(
				'type' 		  => 'textfield',
				'heading' 	  => esc_html__( 'Section Name', 'minione' ),
				'param_name'  => 'section',
				'description' => esc_html__( 'Write section name you want.', 'minione' ),
			),
      ),
   ) );
}

/*-----------------------------------------------------------------------------------*/
/*	Mini Progress Bar
/*-----------------------------------------------------------------------------------*/

add_action( 'vc_before_init', 'mini_progress_bar_integrateWithVC' );
function mini_progress_bar_integrateWithVC() {
   vc_map( array(
      "name"     => esc_html__( "Mini Progress Bar", 'minione' ),
      "base"     => "progress_bar", 
	  "category" => "Mini Shortcodes", 
      "params"   => array( 
	  
			array(
				'type' 	 	  => 'param_group',
				'heading' 	  => esc_html__( 'Progress Bar', 'minione' ),
				'param_name'  => 'values',			
				'value'		  => urlencode( json_encode( array(
					array(
					   'name' => esc_html__( 'Joe', 'minione' )
					),
					) ) ),
					'params'	  => array(	
						array(
							'type' 		  => 'textfield',
							'heading' 	  => esc_html__( 'Skill Name', 'minione' ),
							'param_name'  => 'skill_name',
							'description' => esc_html__( 'Write your skill name.', 'minione' ),
							'admin_label' => true,		
						),
						array(
							'type' 	 	  => 'textfield',
							'heading'     => esc_html__( 'Knowledge Percentage', 'minione' ),
							'param_name'  => 'percentage',
							'description' => esc_html__( 'Write percentage of knowledge.', 'minione' ),
							'admin_label' => true,		
						),				
					)
				),
			),
    )   );
}

/*-----------------------------------------------------------------------------------*/
/*	Mini Icon Box
/*-----------------------------------------------------------------------------------*/

add_action( 'vc_before_init', 'mini_about_iconbox_integrateWithVC' );
function mini_about_iconbox_integrateWithVC() {
   vc_map( array(
      "name"     => esc_html__( "Mini Icon Box", 'minione' ), 
      "base"     => "about_iconbox", 
	  "category" => "Mini Shortcodes", 
      "params"   => array( 
			array(
				'type' 		  => 'textfield',
				'heading' 	  => esc_html__( 'Title', 'minione' ),
				'param_name'  => 'title',
				'description' => esc_html__( 'Write your title.', 'minione' ),
			),		
			array(
				'type'		 => 'dropdown',
				'heading'	 => esc_html__( 'Box Design', 'minione' ),
				'param_name' => 'icon_box',
				'value'		 => array(
				esc_html__( 'Select Box Design', 'minione' ) => 'select-style',
				esc_html__( 'Number', 'minione' )		    => 'number',
				esc_html__( 'Icon', 'minione' )  		    => 'icon',
			 ),
				'description' => esc_html__( 'Select predefined box design ', 'minione' ),
			),  
			array(
				'type' 	 	  => 'textfield',
				'heading'     => esc_html__( 'Number', 'minione' ),
				'param_name'  => 'icon_number',
				'description' => esc_html__( 'Write number instead of icon', 'minione' ),
				'dependency'  => array(
				'element' 	  => 'icon_box',
				'value' 	  => 'number',
				),
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'minione' ),
				'value' => array(
					esc_html__( 'Font Awesome', 'minione' ) => 'fontawesome',
					esc_html__( 'Open Iconic', 'minione' ) => 'openiconic',
					esc_html__( 'Typicons', 'minione' ) => 'typicons',
					esc_html__( 'Entypo', 'minione' ) => 'entypo',
					esc_html__( 'Linecons', 'minione' ) => 'linecons',
					esc_html__( 'Mono Social', 'minione' ) => 'monosocial',
					esc_html__( 'Elegant', 'minione' ) => 'elegant',
					esc_html__( 'Linea', 'minione' ) => 'linea',
				),
				'dependency'  => array(
				'element' 	  => 'icon_box',
				'value' 	  => 'icon',
				),
				'param_name' => 'type',
				'description' => esc_html__( 'Select icon library.', 'minione' ),
			),

			
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'minione' ),
				'param_name' => 'icon_fontawesome',
				'value' => 'fa fa-info-circle',
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'fontawesome',
					'iconsPerPage' => 200, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'fontawesome',
				),
				'description' => esc_html__( 'Select icon from library.', 'minione' ),		
			),
			

			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'minione' ),
				'param_name' => 'icon_openiconic',
				'value' => 'vc-oi vc-oi-dial', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'openiconic',
					'iconsPerPage' => 200, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'openiconic',
				),
				'description' => esc_html__( 'Select icon from library.', 'minione' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'minione' ),
				'param_name' => 'icon_typicons',
				'value' => 'typcn typcn-adjust-brightness', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'typicons',
					'iconsPerPage' => 200, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'typicons',
				),
				'description' => esc_html__( 'Select icon from library.', 'minione' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'minione' ),
				'param_name' => 'icon_entypo',
				'value' => 'entypo-icon entypo-icon-note', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'entypo',
					'iconsPerPage' => 200, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'entypo',
				),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'minione' ),
				'param_name' => 'icon_linecons',
				'value' => 'vc_li vc_li-heart', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'linecons',
					'iconsPerPage' => 200, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'linecons',
				),
				'description' => esc_html__( 'Select icon from library.', 'minione' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'minione' ),
				'param_name' => 'icon_monosocial',
				'value' => 'vc-mono vc-mono-fivehundredpx', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'monosocial',
					'iconsPerPage' => 200, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'monosocial',
				),
				'description' => esc_html__( 'Select icon from library.', 'minione' ),
			),
			
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'minione' ),
				'param_name' => 'icon_elegant',
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'elegant',
					'iconsPerPage' => 200, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'elegant',
				),
				'description' => esc_html__( 'Select icon from library.', 'minione' ),
			),

			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'minione' ),
				'param_name' => 'icon_linea',
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'linea',
					'iconsPerPage' => 200, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'linea',
				),
				'description' => esc_html__( 'Select icon from library.', 'minione' ),
			),
		),
    ) );
}

/*-----------------------------------------------------------------------------------*/
/*	Mini Past Experience
/*-----------------------------------------------------------------------------------*/

add_action( 'vc_before_init', 'mini_past_experience_integrateWithVC' );
function mini_past_experience_integrateWithVC() {
   vc_map( array(
      "name"     => esc_html__( "Mini Past Experience", 'minione' ),
      "base"     => "past_experience",  
	  "category" => "Mini Shortcodes",
      "params"   => array( 
	  
			array(
				'type'		   => 'param_group',
				'heading'      => esc_html__( 'Experiences', 'minione' ),
				'param_name'   => 'values',
				'value' => urlencode( json_encode( array(
					array(
						'name' => esc_html__( 'Joe', 'minione' )
					),
				) ) ),
				'params' => array(			

					array(
						'type' 		  => 'textfield',
						'heading' 	  => esc_html__( 'Position', 'minione' ),
						'param_name'  => 'position',
						'description' => esc_html__( 'Your position.', 'minione' ),
						'admin_label' => true, 				

					),	
					array(
						'type' 	 	  => 'textarea',
						'heading'     => esc_html__( 'Information', 'minione' ),
						'param_name'  => 'information',
						'description' => esc_html__( 'Give information about your experience.', 'minione' ),
					),
					array(
						'type' 		  => 'textfield',
						'heading' 	  => esc_html__( 'Time Period', 'minione' ),
						'param_name'  => 'time_period',
						'description' => esc_html__( 'Time period of your expreinced.', 'minione' ),
						'admin_label' => true, 	
					),	
					array(
						'type' 		  => 'textfield',
						'heading' 	  => esc_html__( 'Years', 'minione' ),
						'param_name'  => 'years',
						'description' => esc_html__( 'Years you have experienced.', 'minione' ),
					),	
					 array(
					   'type' => 'checkbox',
					   'param_name' => 'lastjob',
					   'heading' => esc_html__( 'Add as a last job?', 'minione' ),
					   'description' => esc_html__( 'You want to select this as a last job?', 'minione' ),
					   'value' => array( esc_html__( 'Yes', 'minione' ) => 'yes' ),
					  ),
				)
			),
		),
    )    );
}

/*-----------------------------------------------------------------------------------*/
/* Mini Portfolio
/*-----------------------------------------------------------------------------------*/

add_action( 'vc_before_init', 'mini_portfolio_integrateWithVC' );
function mini_portfolio_integrateWithVC() {
   vc_map( array(
      "name"     => esc_html__( "Mini Portfolio", 'minione' ), 
      "base"     => "portfolio", 
	  "category" => "Mini Shortcodes",	  
      "params"   => array(
			array(
		    'type'		 => 'textfield',
			'heading'	 => esc_html__( 'Post count per page', 'minione' ),
			'param_name'  => 'posts',
			'description' => esc_html__( 'Default 5 .', 'minione' ),
			'admin_label' => true ,
			),
			array(
			'type' 		 => 'textfield',
			'heading' 	 => esc_html__( 'Categories', 'minione' ),
			'param_name'  => 'categories',
			'description' => esc_html__( 'Choose categories.Only show chosen categories.Default "all"', 'minione' ),
			'admin_label' => true ,
			),  
        ),
  ) );
}

/*-----------------------------------------------------------------------------------*/
/*	Mini Clients Box
/*-----------------------------------------------------------------------------------*/

add_action( 'vc_before_init', 'mini_client_box_integrateWithVC' );
function mini_client_box_integrateWithVC() {
   vc_map( array(
      "name" => esc_html__( "Mini Clients Box", 'minione' ), 
      "base" => "client_box", 
	  "category" => "Mini Shortcodes", 
      "params" => array( 
			array(
				'type' => 'attach_image',
				'heading' => esc_html__( 'Clients Image', 'minione' ),
				'param_name' => 'image_url',
				'description' => esc_html__( 'Add a client image', 'minione' ),
			),
        ),
   ) );
}

/*-----------------------------------------------------------------------------------*/
/*  Mini Journal Section
/*-----------------------------------------------------------------------------------*/

add_action( 'vc_before_init', 'mini_journal_section_integrateWithVC' );
function mini_journal_section_integrateWithVC() {
   vc_map( array(
      "name"     => esc_html__( "Mini Journal Section", 'minione' ), 
      "base"     => "journal_section", 
	  "category" => "Mini Shortcodes",	  
      "params"   => array(
			array(
		    'type'		 => 'textfield',
			'heading'	 => esc_html__( 'Post count per page', 'minione' ),
			'param_name'  => 'posts',
			'description' => esc_html__( 'Default 5 .', 'minione' ),
			'admin_label' => true ,
			),
			array(
			'type' 		 => 'textfield',
			'heading' 	 => esc_html__( 'Categories', 'minione' ),
			'param_name'  => 'categories',
			'description' => esc_html__( 'Choose categories.Only show chosen categories.Default "all"', 'minione' ),
			'admin_label' => true ,
			),  
        ),
  ) );
}

/*-----------------------------------------------------------------------------------*/
/*	Mini Google Map
/*-----------------------------------------------------------------------------------*/

add_action( 'vc_before_init', 'mini_map_integrateWithVC' );
function mini_map_integrateWithVC() {
   vc_map( array(
      "name" 	 => esc_html__( "Mini Google Map", 'minione' ),
      "base" 	 => "map_container",
	  "category" => "Mini Shortcodes", 
      "params" 	 => array(


        array(
            "type" 		  => "textfield",
            "heading"	  => esc_html__("Latitude", 'minione'),
            "param_name"  => "latitude",
            "description" => esc_html__("Add latitude for google map", 'minione')
        ),

        array(
            'type'		  => 'textfield',
            'heading' 	  => esc_html__( 'Longitude', 'minione' ),
            'param_name'  => 'longitude',
            "description" => esc_html__("Add longitude for google map", 'minione'),
        ),

        array(
            'type' 		 => 'textfield',
            'heading' 	  => esc_html__( 'Zoom', 'minione' ),
            'param_name'  => 'zoom',
            "description" => esc_html__("Adjust zoom for google map", 'minione'),
        ),
	   array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Activate Full Height', 'minione' ),
			'param_name' => 'fullheight',
			'value' => array( esc_html__( 'Yes', 'minione' ) => 'yes' ),
			'description' => esc_html__( 'You want to activate full height?', 'minione' ),
		),
        array(
            'type' 		  => 'textfield',
            'heading' 	  => esc_html__( 'Height', 'minione' ),
            'param_name'  => 'height',
            "description" => esc_html__("Adjust height for google map", 'minione'),
			'dependency' => array(
				'element' => 'fullheight',
				'is_empty' => true,
			),
        ),
		
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Map Icon', 'minione' ),
			'param_name' => 'mapimage',
			'description' => esc_html__( 'Add a image for map marker', 'minione' ),
		),
		
        array(
            'type' 		 => 'css_editor',
            'heading'    => esc_html__( 'Css', 'minione' ),
            'param_name' => 'css',
            'group' 	 => esc_html__( 'Design options', 'minione' ),
        ),
      ),
   ) );
}
class WPBakeryShortCode_Map extends WPBakeryShortCode {
}
